Bug 995022 - certmonger coredumps when certificates cannot be created due to permissions
certmonger coredumps when certificates cannot be created due to permissions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: certmonger (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 08:25 EDT by Jan Pazdziora
Modified: 2014-06-19 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: certmonger-0.71.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 03:39:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2013-08-08 08:25:05 EDT
Description of problem:

While reproducing SELinux permission problem on Fedora 19, I managed to see certmonger abort with coredump.

Version-Release number of selected component (if applicable):

certmonger-0.67-1.fc19.x86_64

How reproducible:

On two different Fedora 19 machines, I was able to see certmonger dying. I do not know what the exact series of steps is to claim it is deterministic but I certainly had good luck trying.

Steps to Reproduce:
1. ipa-getcert request -k /etc/the.key -f /etc/the.crt
2. ipa-getcert request -k /etc/pki/tls/private/the.key -f /etc/the1.crt
3. ipa-getcert request -k /etc/pki/tls/private/the2.key -f /etc/pki/tls/certs/the2.crt

Actual results:

New signing request "20130808110311" added.
New signing request "20130808110525" added.
Please verify that the certmonger service has been started.

Expected results:

New signing request "20130808110311" added.
New signing request "20130808110525" added.
New signing request "20130808110702" added.

Additional info:

Aug  8 07:05:56 qe-blade-13 certmonger: Certificate in file "/etc/the1.crt" issued by CA but not saved.
Aug  8 07:06:26 qe-blade-13 abrt[11585]: Saved core dump of pid 8664 (/usr/sbin/certmonger) to /var/tmp/abrt/ccpp-2013-08-08-07:06:26-8664 (1196032 bytes)
Aug  8 07:06:26 qe-blade-13 systemd[1]: certmonger.service: main process exited, code=dumped, status=6/ABRT
Aug  8 07:06:26 qe-blade-13 systemd[1]: Unit certmonger.service entered failed state.
Comment 1 Nalin Dahyabhai 2013-12-13 17:26:17 EST
I think this is fixed by commit c91d84044b2e311331f5e5aa34c16d964e39f66a, which is part of 0.69.  I'm prepping a test update.
Comment 2 Fedora Update System 2013-12-13 17:26:59 EST
certmonger-0.69-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/certmonger-0.69-1.fc19
Comment 3 Fedora Update System 2013-12-13 17:27:13 EST
certmonger-0.69-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/certmonger-0.69-1.fc20
Comment 4 Fedora Update System 2013-12-13 17:27:30 EST
certmonger-0.69-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/certmonger-0.69-1.fc18
Comment 5 Fedora Update System 2013-12-13 21:46:30 EST
Package certmonger-0.69-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing certmonger-0.69-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23360/certmonger-0.69-1.fc20
then log in and leave karma (feedback).
Comment 6 Jan Pazdziora 2013-12-17 22:16:31 EST
I can do 20 ipa-getcert requests in a row with 0.69 while with 0.67 I got crash after five max.  VERIFIED, thanks.
Comment 7 Fedora Update System 2014-01-03 03:39:30 EST
certmonger-0.70-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-01-28 10:46:42 EST
certmonger-0.71.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/certmonger-0.71.2-1.fc19
Comment 9 Fedora Update System 2014-01-28 10:47:06 EST
certmonger-0.71.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/certmonger-0.71.2-1.fc20
Comment 10 Fedora Update System 2014-06-19 18:50:18 EDT
certmonger-0.71.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-06-19 18:50:50 EDT
certmonger-0.71.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.